%define _texmf %(eval "echo `kpsewhich -expand-var '$TEXMFMAIN'`")

Name:		asymptote
Version:	2.24
Release:	%mkrel 2
Summary:	Powerful descriptive vector graphics language
Group:		Sciences/Other
Source0:	http://freefr.dl.sourceforge.net/project/%{name}/%{version}/%{name}-%{version}.src.tgz
Source1:	xasy.desktop
Patch0:		asymptote-2.21-settings.patch
License:	LGPLv3
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	pkgconfig(gsl)
BuildRequires:	pkgconfig(fftw3)
BuildRequires:	pkgconfig(osmesa)
BuildRequires:	pkgconfig(bdw-gc)
BuildRequires:	freeglut-devel
BuildRequires:	readline-devel
BuildRequires:	latex
BuildRequires:	dvipdf
BuildRequires:	texinfo-tex
BuildRequires:	imagemagick
Requires:	texlive
Requires(post):	texlive, info-install
Requires(preun):info-install
Requires(postun):texlive

%description
Asymptote is a powerful descriptive vector graphics language that provides
a natural coordinate-based framework for technical drawing. Labels and equations
are typeset with LaTeX, for high-quality PostScript output.

A major advantage of Asymptote over other graphics packages is that it is
a programming language, as opposed to just a graphics program.

%package gui
Summary:	GUI for Asymptote vector graphics language
Group:		Sciences/Other
Requires:	%{name} = %{version}-%{release}
Requires:	tkinter, python-imaging-tk

%description gui
Asymptote is a powerful descriptive vector graphics language that provides
a natural coordinate-based framework for technical drawing. Labels and equations
are typeset with LaTeX, for high-quality PostScript output.

A major advantage of Asymptote over other graphics packages is that it is
a programming language, as opposed to just a graphics program.

This package contains "xasy", a GUI for Asymptote.

%prep
%setup -q
%apply_patches

%build
%configure2_5x \
    --enable-gc=system \
    --with-latex=%{_texmf}/tex/latex \
    --with-context=%{_texmf}/tex/context

%make

%install

%makeinstall_std

# Fix info location
mv %{buildroot}%{_infodir}/%{name}/%{name}.info* %{buildroot}%{_infodir}

# Install desktop file
%__install -d -m755 %{buildroot}%{_datadir}/applications
%__install -m644 %{SOURCE1} %{buildroot}%{_datadir}/applications/

# Install icons
for size in 16x16 32x32 48x48; do
    install -d %{buildroot}%{_iconsdir}/hicolor/$size/apps
    convert -resize $size asy.ico %{buildroot}%{_iconsdir}/hicolor/$size/apps/asy.png
done

%define _exclude_files_from_autoreq %{_datadir}/%{name}/%{name}.py

%post
texhash
%_install_info %{name}.info

%preun
%_remove_install_info %{name}.info

%postun
texhash

%files
%doc %{_docdir}/%{name}
%{_bindir}/asy
%{_datadir}/%{name}
%exclude %{_datadir}/%{name}/GUI
%{_infodir}/asy-faq.info.xz
%{_infodir}/%{name}.info.xz
%{_mandir}/man1/asy.1*
%{_texmf}/tex/*/%{name}

%files gui
%{_bindir}/xasy
%{_datadir}/%{name}/GUI
%{_datadir}/applications/xasy.desktop
%{_iconsdir}/hicolor/*/apps/asy.png
%{_mandir}/man1/xasy.1*


%changelog
* Mon Oct 21 2013 umeabot <umeabot> 2.24-2.mga4
+ Revision: 541270
- Mageia 4 Mass Rebuild

* Fri Oct 11 2013 mitya <mitya> 2.24-1.mga4
+ Revision: 495432
- New version 2.24

* Fri Jan 11 2013 umeabot <umeabot> 2.21-2.mga3
+ Revision: 346485
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 31 2012 mitya <mitya> 2.21-1.mga3
+ Revision: 336488
- Import Asymptote 2.21
- Created package structure for asymptote.

